lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mahoujin/version'

Gem::Specification.new do |spec|
  spec.name          = 'mahoujin'
  spec.version       = Mahoujin::VERSION
  spec.author        = 'Sou.K'
  spec.email         = 'souk.0x01f7@gmail.com'
  spec.license       = 'MIT'

  spec.summary       = 'Generate syntax diagram(aka railroad diagram) from EBNF specification'
  spec.homepage      = 'https://github.com/0x01f7/mahoujin'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'cairo', '~> 1.14.0'
  spec.add_runtime_dependency 'parslet', '~> 1.7.0'

  spec.add_development_dependency 'bundler', '~> 1.11.0'
  spec.add_development_dependency 'rake', '~> 10.4.0'
  spec.add_development_dependency 'rspec', '~> 3.3.0'
  spec.add_development_dependency 'rubocop', '~> 0.35.0'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.3.0'
  spec.add_development_dependency 'codeclimate-test-reporter', '~> 0.4.8'
end
